# Class ConsensusScoreSequenceEntry
Wrapper for a pointer to a sequence and a position in this sequence.

Defined in | <seqan/consensus.h>
Signature | `template <typename TSequence> class ConsensusScoreSequenceEntry;`

## Template Parameters

`TSequence` | The sequence type this entry type is for.

## Interface Function Overview

- `TSequence host(entry);`
  Returns reference to sequence from entry.
- `TPosition position(entry);`
  Returns position stored in `entry`.
- `TValue value(entry);`
  Returns value of character referenced by `entry`.

## Detailed Description

This is used for unified interfaces for position dependent and independetn scores.

## Interface Functions Detail

### `TSequence host(entry);`

Returns reference to sequence from entry.

#### Parameters

`entry` | The ConsensusScoreSequenceEntry to query for its host.

#### Returns

`TSequence` | A reference to the underlying sequence.

#### Data Races

Thread safety unknown!

### `TPosition position(entry);`

Returns position stored in `entry`.

#### Parameters

`entry` | The ConsensusScoreSequenceEntry to query.

#### Returns

`TPosition` | The position of the entry. The type is `ConsensusScoreSequenceEntry<TSequence>::TPosition`.

#### Data Races

Thread safety unknown!

### `TValue value(entry);`

Returns value of character referenced by `entry`.

#### Parameters

`entry` | The ConsensusScoreSequenceEntry to query.

#### Returns

`TValue` | The value of the sequence at the current position.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class ConsensusScoreSequenceEntry
     *
     * @headerfile <seqan/consensus.h>
     *
     * @brief Wrapper for a pointer to a sequence and a position in this sequence.
     *
     * @signature template <typename TSequence> class ConsensusScoreSequenceEntry;
     *
     * @tparam TSequence The sequence type this entry type is for.
     *
     * This is used for unified interfaces for position dependent and independetn
     * scores.
     *
     * @fn ConsensusScoreSequenceEntry#host
     *
     * @brief Returns reference to sequence from entry.
     *
     * @signature TSequence host(entry);
     *
     * @param[in] entry The ConsensusScoreSequenceEntry to query for its host.
     *
     * @return TSequence A reference to the underlying sequence.
     *
     * @fn ConsensusScoreSequenceEntry#position
     *
     * @brief Returns position stored in <tt>entry</tt>.
     *
     * @signature TPosition position(entry);
     *
     * @param[in] entry The ConsensusScoreSequenceEntry to query.
     *
     * @return TPosition The position of the entry. The type is <tt>ConsensusScoreSe
     *                   quenceEntry&lt;TSequence&gt;::TPosition</tt>.
     *
     * @fn ConsensusScoreSequenceEntry#value
     *
     * @brief Returns value of character referenced by <tt>entry</tt>.
     *
     * @signature TValue value(entry);
     *
     * @param[in] entry The ConsensusScoreSequenceEntry to query.
     *
     * @return TValue The value of the sequence at the current position.
     */